package sklep.soap;

import java.util.List;

import jakarta.jws.WebService;
import sklep.db.DBConnection;
import sklep.db.DBException;
import sklep.db.ProductDAO;
import sklep.model.Product;

@WebService
public class Sklep {

    public List<Product> readAllProducts() throws DBException {
        try(DBConnection db = DBConnection.open()) {
            ProductDAO productDAO = db.productDAO();
            return productDAO.readAll();
        }
    }
    
    // TODO dodaj metody findByPrice, findById, który odczytują tylko wybrane produkty
    // wykorzystując metody klasy ProductDAO
    
    // dla chętnych kolejne metody: zapisywanie produktu (Product jest parametrem weejściowym)
    // odczyt zamówienia wg ID a może też odczyt wszystkich zamówień wskazanego klienta
    
}
